import type { Config } from "tailwindcss";

const config: Config = {
  content: [
    "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/components/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
    extend: {
      colors: {
        // 颜色方案1: 深邃宇宙
        space: {
          dark: '#0B1026',
          mid: '#1A1C4B',
          light: '#21133A',
          accent: '#4D61FC',
          highlight: '#8C5CF4',
        },
        // 颜色方案2: 高级深海
        ocean: {
          dark: '#051937',
          mid: '#004261',
          light: '#004F7A',
          accent: '#26C5F3',
          highlight: '#1A7BF5',
        },
        // 颜色方案3: 现代科技
        tech: {
          dark: '#0F1117',
          mid: '#151922',
          light: '#131621',
          accent: '#FF2D72',
          highlight: '#0088FF',
        },
        // 颜色方案4: 夜光
        nightglow: {
          dark: '#09090B',
          mid: '#18181B',
          light: '#27272A',
          accent: '#875EFF',
          highlight: '#9D7EFF',
        },
      },
    },
  },
  plugins: [],
};

export default config;
